Bug 826965 - Have warning messages while git push a scalable jboss application embed with mysql
Have warning messages while git push a scalable jboss application embed with ...
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 06:32 EDT by Rony Gong
Modified: 2015-05-14 21:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 08:16:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-05-31 06:32:26 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
devenv_1809
rhc-0.93.16


Steps to Reproduce:
my env is multi node env, and there already more than 20 gears used in this district.
1.create scalable jbossas application with mysql embed
2.create a jenkins server application, don't embed jenkins client to this app
3.then in app_dir new a file, git push
  
Actual results:

[root@localhost myapp4]# git push
Counting objects: 3, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (2/2), 245 bytes, done.
Total 2 (delta 1), reused 0 (delta 0)
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: Stopping application...
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: Done
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: ~/git/myapp4.git ~/git/myapp4.git
remote: ~/git/myapp4.git
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: Running .openshift/action_hooks/pre_build
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: Found pom.xml... attempting to build with 'mvn -e clean package -Popenshift -DskipTests'
remote: Apache Maven 3.0.3 (r1075437; 2011-06-20 13:22:37-0400)
remote: Maven home: /etc/alternatives/maven-3.0
remote: Java version: 1.6.0_22, vendor: Sun Microsystems Inc.
remote: Java home: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre
remote: Default locale: en_US, platform encoding: UTF-8
remote: OS name: "linux", version: "2.6.32-220.17.1.el6.x86_64", arch: "i386", family: "unix"
remote: [INFO] Scanning for projects...
remote: [INFO]                                                                         
remote: [INFO] ------------------------------------------------------------------------
remote: [INFO] Building myapp4 1.0
remote: [INFO] ------------------------------------------------------------------------
remote: [INFO] 
remote: [INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ myapp4 ---
remote: [INFO] 
remote: [INFO] --- maven-resources-plugin:2.4.3:resources (default-resources) @ myapp4 ---
remote: [INFO] Using 'UTF-8' encoding to copy filtered resources.
remote: [INFO] Copying 1 resource
remote: [INFO] 
remote: [INFO] --- maven-compiler-plugin:2.3.2:compile (default-compile) @ myapp4 ---
remote: [INFO] Nothing to compile - all classes are up to date
remote: [INFO] 
remote: [INFO] --- maven-resources-plugin:2.4.3:testResources (default-testResources) @ myapp4 ---
remote: [INFO] Using 'UTF-8' encoding to copy filtered resources.
remote: [INFO] skip non existing resourceDirectory /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/app/repo/src/test/resources
remote: [INFO] 
remote: [INFO] --- maven-compiler-plugin:2.3.2:testCompile (default-testCompile) @ myapp4 ---
remote: [INFO] No sources to compile
remote: [INFO] 
remote: [INFO] --- maven-surefire-plugin:2.7.2:test (default-test) @ myapp4 ---
remote: [INFO] Tests are skipped.
remote: [INFO] 
remote: [INFO] --- maven-war-plugin:2.1.1:war (default-war) @ myapp4 ---
remote: [INFO] Packaging webapp
remote: [INFO] Assembling webapp [myapp4] in [/var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/app/repo/target/myapp4]
remote: [INFO] Processing war project
remote: [INFO] Copying webapp resources [/var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/app/repo/src/main/webapp]
remote: [INFO] Webapp assembled in [107 msecs]
remote: [INFO] Building war: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/app/repo/deployments/ROOT.war
remote: [INFO] WEB-INF/web.xml already added, skipping
remote: [INFO] ------------------------------------------------------------------------
remote: [INFO] BUILD SUCCESS
remote: [INFO] ------------------------------------------------------------------------
remote: [INFO] Total time: 6.691s
remote: [INFO] Finished at: Thu May 31 06:12:30 EDT 2012
remote: [INFO] Final Memory: 5M/15M
remote: [INFO] ------------------------------------------------------------------------
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: Running .openshift/action_hooks/build
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: Running .openshift/action_hooks/build
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: SSH_CMD: ssh 6a74874910ea4568bfcb7d79f186d06d@10.64.39.12
remote: ++ date
remote: + echo 'Syncing to gear: 6a74874910ea4568bfcb7d79f186d06d@10.64.39.12:6a74874910 @ ' Thu May 31 06:12:32 EDT 2012
remote: Syncing to gear: 6a74874910ea4568bfcb7d79f186d06d@10.64.39.12:6a74874910 @  Thu May 31 06:12:32 EDT 2012
remote: + for rpccall in '"${OPENSHIFT_SYNC_GEARS_PRE[@]}"'
remote: + ssh 6a74874910ea4568bfcb7d79f186d06d@10.64.39.12 'ctl_all stop'
remote: /var/lib/stickshift/6a74874910ea4568bfcb7d79f186d06d/.env/USER_VARS: line 6: export: `6a74874910=6a74874910': not a valid identifier
remote: /var/lib/stickshift/6a74874910ea4568bfcb7d79f186d06d/.env/USER_VARS: line 6: export: `6a74874910ea4568bfcb7d79f186d06d=6a74874910ea4568bfcb7d79f186d06d': not a valid identifier
remote: 
remote:     Welcome to OpenShift shell
remote: 
remote:     This shell will assist you in managing OpenShift applications.
remote: 
remote:     !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!
remote:     Shell access is quite powerful and it is possible for you to
remote:     accidentally damage your application.  Proceed with care!
remote:     If worse comes to worst, destroy your application with 'rhc app destroy'
remote:     and recreate it
remote:     !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!
remote: 
remote:     Type "help" for more info.
remote: 
remote: WARNING: This ssh terminal was started without a tty.
remote:           It is highly recommended to login with: ssh -t
remote: + /var/lib/stickshift/6a74874910ea4568bfcb7d79f186d06d/jbossas-7/6a74874910_ctl.sh stop
remote: /var/lib/stickshift/6a74874910ea4568bfcb7d79f186d06d/.env/USER_VARS: line 6: export: `6a74874910=6a74874910': not a valid identifier
remote: Exit code: 1
remote: Starting application...
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: Done
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
remote: Running .openshift/action_hooks/post_deploy
remote: /var/lib/stickshift/3908aa3e2daf494e8a18f435faeb3cf1/.env/USER_VARS: line 6: export: `3908aa3e2daf494e8a18f435faeb3cf1=3908aa3e2daf494e8a18f435faeb3cf1': not a valid identifier
To ssh://3908aa3e2daf494e8a18f435faeb3cf1@myapp4-domaingong1.dev.rhcloud.com/~/git/myapp4.git/
   2ea576d..ba4e94d  master -> master



Expected results:
git push success
and should not show   "xxx not a valid identifier"

Additional info:
Comment 1 Xiaoli Tian 2012-05-31 08:16:30 EDT
Not find this issue in devenv_1810

Note You need to log in before you can comment on or make changes to this bug.